Autore Topic: canon mg3550  (Letto 1140 volte)

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
canon mg3550
« il: 25 Maggio 2015 ore 12:44 »
Salve, sono in procinto di comprare una stampante multifunzione economica, in offerta ho trovato questa canon che tra l'altro è anche wifi. Ho visto che ci sono i driver per linux ma solo rpm e deb. I source se compilati mi sa che danno solo rpm. La domanda è: riuscirò a farla funzionare in qualche maniera o è meglio se mi oriento su qualche altra marca maggiormente supportata?
chakra-2013.05-Benz

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:canon mg3550
« Risposta #1 il: 25 Maggio 2015 ore 13:12 »
no, i sorgenti se compilati danno i binari dei driver (oltre a eventuali rpm se previsto da chi fa il makefile).

ci sono in giro vari PKGBUILD che scompattano .deb e .rpm e installano il binario... Il problema è ilcasino delle dipendenze. Su AUR c'è qualcosa che puoi importare?

Hai verificato se i driver sono già inclusi nel kernel (alle volte quelli che dicono essere driver in realtà è un'interfaccia per fare alcune cose, ma cups spesso le usa senza problemi).

Cerca un po' in rete, purtroppo ora non riesco ora a trovare info più precise (x questione di tempo)  :-\

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #3 il: 25 Maggio 2015 ore 14:10 »
mitico! Ma scusami, come li installo? Nei repo di chakra non ci sono.  :-\
chakra-2013.05-Benz

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:canon mg3550
« Risposta #4 il: 25 Maggio 2015 ore 14:25 »
vanno importati... se c'è qualche anima pia che lo fa x te ok, altrimenti puoi provare a farlo tu (cerca nel wiki) oppure pingami qui che se trovo il tempo qualche sera ci provo. Il fatto è che non avendo una stampante di questo tipo non posso fare altro che metterlo su ma niente di più

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #5 il: 25 Maggio 2015 ore 17:54 »
Beh quasi quasi ci provo... Farò Sapere. Anche se non avendola ancora comprata non potró sapere se funzionerà . Intanto ti ringrazio
chakra-2013.05-Benz

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #6 il: 25 Maggio 2015 ore 21:14 »
allora, ho scaricato i 3 tarball, estratti ognuno nella propria cartella.

cnijfilter-mg3500series.tar.gz
scangearmp-common-mg3500series.tar.gz
scangearmp-mg3500series.tar.gz
c'è  il file pkgbuild

per il primo file
Codice: [Seleziona]
$ makepkg -s
==> Creazione del pacchetto: cnijfilter-mg3500series 4.00-1 (lun 25 mag 2015, 20.53.49, CEST)
........
......
==> Uscita dall'ambiente di fakeroot.
==> Compilazione terminata: cnijfilter-mg3500series 4.00-1 (lun 25 mag 2015, 20.53.52, CEST)
tutto ok
ma sia per il secondo che per il terzo invece
Codice: [Seleziona]
$ makepkg -s
==> ERRORE: Manca la funzione package() in /home/derekk/Scaricati/canon/scangearmp-mg3500series/PKGBUILD
e quì mi fermo perchè non so che pesci pigliare.
PS queste sono le dipendenze che ho trovato nei 3 pkgbuild
Codice: [Seleziona]
popt
gtk2>=2.4.0
libpng12
pangox-compat
libusb-compat
sane
gimp>=2.0.0 (optdepends)
rpmextract (makedepends)
scangearmp-common-mg3500series
gtk2 mi sa che ho una versione inferiore
Codice: [Seleziona]
gtk2 2.24.27-1mentre tutti gli altri li ho trovati in pacman

EDIT:
ho cambiato nei pkgbuild dove avevo errore sostituendo package a build e il scangearmp-common-mg3500series.tar.gz è stato correttamente compilato.
Invece scangearmp-mg3500series.tar.gz
Codice: [Seleziona]
$ makepkg -s
==> Creazione del pacchetto: scangearmp-mg3500series 2.20-1 (lun 25 mag 2015, 21.16.57, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Installazione delle dipendenze mancanti in corso...
errore: il seguente pacchetto non è stato trovato: scangearmp-common-mg3500series
==> ERRORE: 'pacman' non è riuscito ad installare le dipendenze mancanti.
« Ultima modifica: 25 Maggio 2015 ore 21:19 da danilman »
chakra-2013.05-Benz

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #7 il: 25 Maggio 2015 ore 21:42 »
allora, forse ci sono riuscito. Quando dovevo compilare l'ultimo pkgbuild mi dava come dipendenza non risolta
scangearmp-common-mg3500series.tar.gz
allora l'ho caricato su ccr. Mi dava comunque errore perchè diceva
Codice: [Seleziona]
errore: il seguente pacchetto non è stato trovato: scangearmp-common-mg3500series
==> ERRORE: 'pacman' non è riuscito ad installare le dipendenze mancanti.
perchè me lo cercava con pacman e non con ccr? Comunque l'ho installato a mano con ccr e la compilazione è avvenuta con successo. Quindi ho caricato i 3 file e spero che ho fatto giusto! E' la prima volta e spero che sia andata bene
chakra-2013.05-Benz

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:canon mg3550
« Risposta #8 il: 26 Maggio 2015 ore 08:23 »
perchè è pacman che cerca le dipendenze.
quando compili con makepkg le dipendenze vanno installate a parte esplicitamente (di sicuro x i pacchetti in ccr).

Non importa quindi che il pacchetto sia su CCR, ma deve essere installato sulla tua macchina.

Dopo aver compilato il pacchetto se va tutto bene (controlla la cartella creata che file contiene. solitamente se non ci sono errori cmq è a posto) puoi installare il pacchetto com
Codice: [Seleziona]
makepkg -si
per creare i sorgenti usi
Codice: [Seleziona]
makepkg -Sper caricare su ccr usi
Codice: [Seleziona]
ccr-tools -s "nomefilesorgente" -C "categoria"

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #9 il: 26 Maggio 2015 ore 08:32 »
come da wiki ho dato
Codice: [Seleziona]
makepkg -se mi ha compilato correttamente
poi ho creato il src.tar.gz con
Codice: [Seleziona]
makepkg --sourcee anche quì tutto ok. Poi i pacchetti li ho caricati manualmente direttamente dal sito web.
la guida sul wiki forse è un pò datata, ma anche se il procedimento che ho seguito è leggermente diverso da come mi hai detto tu, alla fine credo di aver fatto bene, l'ho installato ed è andato a posto. Adesso devo verificare solo se la stampante funzionerà... farò sapere  :)
comunque grazie di tutto, gentilissimo  :beer:
« Ultima modifica: 26 Maggio 2015 ore 08:34 da danilman »
chakra-2013.05-Benz

Offline Stardust_95

  • *
  • Post: 349
  • Reputazione: 2
    • Mostra profilo
Re:canon mg3550
« Risposta #10 il: 26 Maggio 2015 ore 11:19 »
Salve, sono in procinto di comprare una stampante multifunzione economica, in offerta ho trovato questa canon che tra l'altro è anche wifi. Ho visto che ci sono i driver per linux ma solo rpm e deb. I source se compilati mi sa che danno solo rpm. La domanda è: riuscirò a farla funzionare in qualche maniera o è meglio se mi oriento su qualche altra marca maggiormente supportata?

personalmente, io ho comprato la settimana scorsa un'HP, si è configurata da sola con HPLIP, quindi io consiglio personalmente le HP ;) la mia è costata 60€ ed ha TUTTO :)
Utilizzo Chakra sin dal 2011, ma sono ancora nabbo XD

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #11 il: 26 Maggio 2015 ore 14:20 »
personalmente, io ho comprato la settimana scorsa un'HP, si è configurata da sola con HPLIP, quindi io consiglio personalmente le HP ;) la mia è costata 60€ ed ha TUTTO :)
grazie per la dritta, ma la canon l'ho trovata a 39 euro, multifunzione con wifi. Non ho grosse pretese, serve più a mio figlio che finisce le medie e inizia le superiori, quindi un uso sporadico.
chakra-2013.05-Benz

Offline danilman

  • *
  • Post: 36
  • Reputazione: 0
    • Mostra profilo
Re:canon mg3550
« Risposta #12 il: 02 Giugno 2015 ore 09:05 »
aggiornamento: anche se con qualche problema, sono riuscito a configurare la stampante  ;D
Unica cosa, non so se ho fatto tutto giusto, perchè comunque ho dovuto attivare il servizio cups-browsed.service affinchè funzionasse. Ma l'importante a che adesso funzioni. Un ringraziamento @dinolib  :beer:
chakra-2013.05-Benz

 

Template by Homey | Sito ufficiale | Disclaimer